/* Controller */

#import <Cocoa/Cocoa.h>

enum {
    PLUS      = 1001,
    SUBTRACT  = 1002,
    MULTIPLY  = 1003,
    DIVIDE    = 1004,
    EQUALS    = 1005
};

@interface Controller : NSObject
{
    IBOutlet id readout;
    BOOL        enterFlag;
    BOOL        yFlag;
    int         operation;
    double      X;
    double      Y;
    IBOutlet id aboutPanel;
}

- (IBAction)clear:(id)sender;
- (IBAction)clearAll:(id)sender;
- (IBAction)enterDigit:(id)sender;
- (IBAction)enterOp:(id)sender;
- (void)displayX;
- (IBAction)doUnaryMinus:(id)sender;
- (IBAction)showAboutPanel:(id)sender;


@end
