// MathDocument.m

#import "MathDocument.h"
#import "PaperController.h"

@implementation MathDocument

- (NSString *)windowNibName
{
    // Override returning the nib file name of the document
    // If you need to use a subclass of NSWindowController or if your document supports multiple NSWindowControllers, you should remove this method and override -makeWindowControllers instead.
    return @"PaperWindow";
}

- (void)windowControllerDidLoadNib:(NSWindowController *) aController
{
    [super windowControllerDidLoadNib:aController];
    // Add any code here that need to be executed once the windowController has loaded the document's window.
}

- (NSData *)dataRepresentationOfType:(NSString *)aType
{
    // Insert code here to write your document from the given data.  You can also choose to override -fileWrapperRepresentationOfType: or -writeToFile:ofType: instead.
    return nil;
}

- (BOOL)loadDataRepresentation:(NSData *)data ofType:(NSString *)aType
{
    // Insert code here to read your document from the given data.  You can also choose to override -loadFileWrapperRepresentation:ofType: or -readFromFile:ofType: instead.
    return YES;
}


// Override the NSDocument makeWindowControllers
// method to specify our own controller.

- (void)makeWindowControllers
{
   id ctl = [ [PaperController alloc]
               initWithWindowNibName:[self windowNibName] ];

   [ctl  autorelease];			// addWindowController will retain...
   [self addWindowController:ctl];
}

@end

