#import <Cocoa/Cocoa.h>
#import "ColorGraphView.h"


@interface TrackingGraphView : ColorGraphView
{
    IBOutlet id xCell;
    IBOutlet id yCell;
    NSTrackingRectTag trackingRect;
    NSMutableArray *annotations;
}

- (id)initWithFrame:(NSRect)frame;
- (void)mouseEntered:(NSEvent *)theEvent;
- (void)mouseExited:(NSEvent *)theEvent;
- (void)mouseMoved:(NSEvent *)theEvent;
- (void)removeAnnotations;

@end
