#import <Cocoa/Cocoa.h>

@class GraphView;

@interface Controller : NSObject
{
    IBOutlet id graphView;
    IBOutlet id prefController;
    
    IBOutlet id formatBox;
    IBOutlet id formatMatrix;
    NSSavePanel *savePanel;

}
- (IBAction)showPrefs:(id)sender;
- (GraphView *)graphView;

- (NSData *)PDFForView:(NSView *)aView;
- (IBAction)saveDocumentTo:(id)sender;
- (void)savePanelDidEnd:(NSSavePanel *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (NSData *)TIFFForView:(NSView *)aView;

- (IBAction)setFormat:(id)sender;


@end
