/* ZoomScrollView */

#import <Cocoa/Cocoa.h>

@interface ZoomScrollView : NSScrollView
{
    IBOutlet id subView;
    IBOutlet id zoomButton;
    double scaleFactor;
}
- (id)initWithFrame:(NSRect)theFrame;
- (void)awakeFromNib;
- (IBAction)changeZoom:(id)sender;
- (void)setScaleFactor:(float)aFloat;
- (void)tile;
@end
