#import "PrefController.h"
#import "Controller.h"
#import "ColorGraphView.h"


@implementation PrefController

- (IBAction)okay:(id)sender
{
}

- (IBAction)revert:(id)sender
{
}


- (NSWindow *)window
{
    return window;
}

- (void)setUpWell:(NSColorWell *)well
{
    id colorGraphView = [ [NSApp delegate] graphView] ;

    [well setTarget:colorGraphView];
    [well setAction:@selector(setObjectsToColor:) ];
    [well setColor:[colorGraphView colorForTag:[well tag]]];
}


- (void)awakeFromNib
{
    [ [NSColorPanel sharedColorPanel] setContinuous:YES];

    [self setUpWell:axesColorWell ];
    [self setUpWell:labelColorWell ];
    [self setUpWell:graphColorWell ];
}


-(NSColorWell *)colorWellForTag:(int)aTag
{
    return [[window contentView] viewWithTag:aTag];
}




@end
